package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@ApiModel
public class DrpComeAndGoApplyPayDTO {
   @ApiModelProperty("采购单号")
   private @NotBlank(
   message = "采购单号不能为空!"
) String orderGoodsId;
   @ApiModelProperty("付款金额")
   private @NotNull(
   message = "付款金额不能为空!"
) Long payAmount;
   @ApiModelProperty("要求付款日期")
   private LocalDate requirePayDate;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号名称")
   private String collectAccountName;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("申请备注")
   private String applyRemark;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getPayAmount() {
      return this.payAmount;
   }

   public LocalDate getRequirePayDate() {
      return this.requirePayDate;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getApplyRemark() {
      return this.applyRemark;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setPayAmount(final Long payAmount) {
      this.payAmount = payAmount;
   }

   public void setRequirePayDate(final LocalDate requirePayDate) {
      this.requirePayDate = requirePayDate;
   }

   public void setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
   }

   public void setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
   }

   public void setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
   }

   public void setApplyRemark(final String applyRemark) {
      this.applyRemark = applyRemark;
   }

   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpComeAndGoApplyPayDTO(orderGoodsId=" + var10000 + ", payAmount=" + this.getPayAmount() + ", requirePayDate=" + String.valueOf(this.getRequirePayDate()) + ", collectBank=" + this.getCollectBank() + ", collectAccountName=" + this.getCollectAccountName() + ", collectAccount=" + this.getCollectAccount() + ", applyRemark=" + this.getApplyRemark() + ")";
   }
}
